Minimalist_Gossip_Show = false
Minimalist_Merchant_Show = false
Minimalist_Chat_Parse = false

-- Change This if You Want Auto-Repair Costs to be Displayed Elsewhere.
Minimalist_ChatFrame = DEFAULT_CHAT_FRAME

Minimalist_CheckButtons = {
["Auto-Ignore Duels"] = {
  index = 2,
  tooltipText = "Auto-Ignore Duel Requests",
  var = "IGNOREDUELS",
  func = function(switch)
    if (switch) then
      Minimalist:RegisterEvent("DUEL_REQUESTED")
    else
      Minimalist:UnregisterEvent("DUEL_REQUESTED")
    end
  end
},
["Auto-Repair"] = {
  index = 3,
  tooltipText = "Repair All Equipment and Inventory Automagically",
  var = "AUTOREPAIR",
  func = function(switch)
    if (switch) then
      Minimalist:MHOn()
    else
      Minimalist:MHOff()
    end
  end
},
["Auto-Resurrect"] = {
  index = 4,
  tooltipText = "Automatically Accept Resurrection Requests",
  var = "AUTOREZ",
  func = function(switch)
    if (switch) then
      Minimalist:RegisterEvent("RESURRECT_REQUEST")
    else
      Minimalist:UnregisterEvent("RESURRECT_REQUEST")
    end
  end
},
["Auto-Sell Grey Items"] = {
  index = 5,
  tooltipText = "Sell Grey (Junk) Items in Your Bags Automatically",
  var = "AUTOSELL",
  func = function(switch)
    if (switch) then
     Minimalist:MHOn() 
    else
     Minimalist:MHOff()
    end
  end
},
["Better Reputation"] = {
  index = 6,
  tooltipText = "Display Reputation Amounts Numerically and Detailed Information in the Chat Frame",
  var = "REPUTATION",
  func = function(switch)
    if (switch) then
      Minimalist:MinRepOn()
    else
      Minimalist:MinRepOff()
    end
  end
},
["Detailed Buff Timers"] = {
  index = 7,
  tooltipText = "Show Detailed Buff Timers",
  var = "BUFFTIMER",
  func = function(switch)
    if (switch) then
      Minimalist:Hook("SecondsToTimeAbbrev", true)
    else
      Minimalist:Unhook("SecondsToTimeAbbrev")
    end
  end
},
["Disable Gryphons"] = {
  index = 8,
  tooltipText = "Toggle Display of Gryphons on Main Toolbar",
  var = "GRYPH",
  func = function(switch)
    if (switch) then
      Minimalist:GryphOn()
    else
      Minimalist:GryphOff()
    end
  end
},
["Display Quest Levels"] = {
  index = 9,
  tooltipText = "Display Numeric Quest Level in the Quest Frame, Quest Completion Frame, and NPC Quest Window",
  var = "QUESTLEVEL",
  func = function(switch)
    if (switch) then
      Minimalist:MinQLOn()
    else
      Minimalist:MinQLOff()
    end
  end
},
["Smart Taxi"] = {
  index = 12,
  tooltipText = "Auto-Dismount You at Flightmasters",
  var = "SMARTTAXI",
  func = function(switch)
    if (switch) then
      Minimalist:SmartTaxiOn()
    else
      Minimalist:SmartTaxiOff()
    end 
  end
},
["Fix Arrow Keys"] = {
  index = 13,
  tooltipText = "Make Arrow Keys Move the Cursor in the Input Box",
  var = "CHATARROWS",
  func = function(switch)
    if (switch) then
      Minimalist:ChatArrowsOn()
    else
      Minimalist:ChatArrowsOff()
    end
  end
},
["Hide Buttons"] = {
  index = 14,
  tooltipText = "Hide the Chat Frame Buttons",
  var = "CHATBUTTONS",
  func = function(switch)
    if (switch) then
      Minimalist:ChatButtonsOff()
    else
      Minimalist:ChatButtonsOn()
    end
  end
},
["Move Input Box"] = {
  index = 15,
  tooltipText = "Move the Input Box to the Top of the Chat Frame",
  var = "CHATEDIT",
  func = function(switch)
    if (switch) then
      Minimalist:ChatMoveEditBox()
    else
      Minimalist:ChatRestoreEditBox()
    end
  end
},
["Mouse Scrolling"] = {
  index = 16,
  tooltipText = "Scroll Chat Frame with the Mouse Wheel, Shift-Scroll to Hit the Top/Bottom",
  var = "CHATSCROLL",
  func = function(switch)
    if (switch) then
      Minimalist:ChatScrollOn()
    else
      Minimalist:ChatScrollOff()
    end
  end
},
["Time Stamps"] = {
  index = 17,
  tooltipText = "Add Time Stamps to Chat Messages",
  var = "CHATTIME",
  func = function(switch)
    if (switch) then
      Minimalist:ChatParseOn()
    else
      Minimalist:ChatParseOff()
    end
  end
},
["Hide Clutter"] = {
  index = 18,
  tooltipText = "Hide Minimap Clock, Scroll Buttons, and Location Frame",
  var = "MAPHIDE",
  func = function(switch)
    if (switch) then
      Minimalist:MinMapHide()
    else
      Minimalist:MinMapShow()
    end
  end
},
["Location X,Y"] = {
  index = 19,
  tooltipText = "Adds Numeric X,Y Coordinates to the Minimap",
  var = "MAPLOC",
  func = function(switch)
    if (switch) then
      Minimalist:MapLocOn()
    else
      Minimalist:MapLocOff()
    end
  end
},
["MouseWheel Zoom"] = {
  index = 20,
  tooltipText = "Enables MouseWheel Zooming of the Minimap",
  var = "MAPSCROLL",
  func = function(switch)
    if (switch) then
      Minimalist:MapScrollOn()
    else
      Minimalist:MapScrollOff()
    end
  end
},
["Auto-Skip Useless Gossips"] = {
  index = 21,
  tooltipText = "Skip MC/BWL, Flightmaster, Banker, and Battlemaster Gossip",
  var = "GOSSIPSKIP",
  func = function(switch)
    if (switch) then
     Minimalist:GHOn() 
    else
     Minimalist:GHOff()
    end
  end
},
["Reduce Chat Clutter"] = {
  index = 22,
  tooltipText = "Shorten Channel Names to Reduce Chat Window Clutter",
  var = "CHATCLEAN",
  func = function(switch)
    if (switch) then
     Minimalist:ChatParseOn() 
    else
     Minimalist:ChatParseOff()
    end
  end
},
}
